import { world, system } from "@minecraft/server";

world.afterEvents.playerPlaceBlock.subscribe(ev => {
    const player = ev.player;
    const block = ev.block;

    if (block.typeId === 'minecraft:tnt') {
        world.getDimension('overworld').runCommandAsync(`setblock ${block.x} ${block.y} ${block.z} air`);
        world.getDimension('overworld').runCommandAsync(`summon minecraft:tnt ${block.x} ${block.y} ${block.z}`);
        }
});
